Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/domain.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/domain.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/domain.py	(revision 5892)
@@ -8,5 +8,7 @@
 """
 
-from Numeric import allclose, argmax, zeros, Float
+##from numpy.oldnumeric import allclose, argmax, zeros, Float
+import numpy
+
 from anuga.config import epsilon
 from anuga.config import beta_euler, beta_rk2
@@ -105,5 +107,4 @@
 
         if verbose: print 'Initialising Domain'
-        from Numeric import zeros, Float, Int, ones
         from quantity import Quantity
 
@@ -155,10 +156,10 @@
         for key in self.full_send_dict:
             buffer_shape = self.full_send_dict[key][0].shape[0]
-            self.full_send_dict[key].append(zeros( (buffer_shape,self.nsys) ,Float))
+            self.full_send_dict[key].append(numpy.zeros( (buffer_shape,self.nsys), numpy.float))
 
 
         for key in self.ghost_recv_dict:
             buffer_shape = self.ghost_recv_dict[key][0].shape[0]
-            self.ghost_recv_dict[key].append(zeros( (buffer_shape,self.nsys) ,Float))
+            self.ghost_recv_dict[key].append(numpy.zeros( (buffer_shape,self.nsys), numpy.float))
 
 
@@ -168,5 +169,5 @@
         N = len(self) #number_of_elements
         self.number_of_elements = N
-        self.tri_full_flag = ones(N, Int)
+        self.tri_full_flag = numpy.ones(N, numpy.int)
         for i in self.ghost_recv_dict.keys():
             for id in self.ghost_recv_dict[i][0]:
@@ -175,5 +176,5 @@
         # Test the assumption that all full triangles are store before
         # the ghost triangles.
-        if not allclose(self.tri_full_flag[:self.number_of_full_nodes],1):
+        if not numpy.allclose(self.tri_full_flag[:self.number_of_full_nodes],1):
             print 'WARNING:  Not all full triangles are store before ghost triangles'
                         
@@ -230,10 +231,10 @@
         # calculation
         N = len(self) # Number_of_triangles
-        self.already_computed_flux = zeros((N, 3), Int)
+        self.already_computed_flux = numpy.zeros((N, 3), numpy.int)
 
         # Storage for maximal speeds computed for each triangle by
         # compute_fluxes
         # This is used for diagnostics only (reset at every yieldstep)
-        self.max_speed = zeros(N, Float)
+        self.max_speed = numpy.zeros(N, numpy.float)
 
         if mesh_filename is not None:
@@ -266,6 +267,4 @@
         """
 
-        from Numeric import zeros, Float
-
         if not (vertex is None or edge is None):
             msg = 'Values for both vertex and edge was specified.'
@@ -273,5 +272,5 @@
             raise msg
 
-        q = zeros( len(self.conserved_quantities), Float)
+        q = numpy.zeros( len(self.conserved_quantities), numpy.float)
 
         for i, name in enumerate(self.conserved_quantities):
@@ -769,5 +768,5 @@
             # Find index of largest computed flux speed
             if triangle_id is None:
-                k = self.k = argmax(self.max_speed)
+                k = self.k = numpy.argmax(self.max_speed)
             else:
                 errmsg = 'Triangle_id %d does not exist in mesh: %s' %(triangle_id,
@@ -1086,4 +1085,5 @@
 
         """
+        print '.evolve: 0'
 
         from anuga.config import min_timestep, max_timestep, epsilon
@@ -1096,4 +1096,5 @@
                %self.get_boundary_tags()
         assert hasattr(self, 'boundary_objects'), msg
+        print '.evolve: 1'
 
 
@@ -1104,4 +1105,5 @@
 
         self._order_ = self.default_order
+        print '.evolve: 2'
 
 
@@ -1127,20 +1129,25 @@
         self.number_of_first_order_steps = 0
 
-
+        print '.evolve: 3'
         # Update ghosts
         self.update_ghosts()
 
+        print '.evolve: 4'
         # Initial update of vertex and edge values
         self.distribute_to_vertices_and_edges()
 
+        print '.evolve: 5'
         # Update extrema if necessary (for reporting)
         self.update_extrema()
         
+        print '.evolve: 6'
         # Initial update boundary values
         self.update_boundary()
 
+        print '.evolve: 7'
         # Or maybe restore from latest checkpoint
         if self.checkpoint is True:
             self.goto_latest_checkpoint()
+        print '.evolve: 8'
 
         if skip_initial_step is False:
@@ -1202,5 +1209,5 @@
                 self.number_of_steps = 0
                 self.number_of_first_order_steps = 0
-                self.max_speed = zeros(N, Float)
+                self.max_speed = numpy.zeros(N, numpy.float)
 
     def evolve_one_euler_step(self, yieldstep, finaltime):
@@ -1568,6 +1575,4 @@
         """
 
-        from Numeric import ones, sum, equal, Float
-
         N = len(self) # Number_of_triangles
         d = len(self.conserved_quantities)
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/ermapper_grids.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/ermapper_grids.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/ermapper_grids.py	(revision 5892)
@@ -2,7 +2,8 @@
 
 # from os import open, write, read
-import Numeric
-
-celltype_map = {'IEEE4ByteReal': Numeric.Float32, 'IEEE8ByteReal': Numeric.Float64}
+##import numpy.oldnumeric as Numeric
+import numpy
+
+celltype_map = {'IEEE4ByteReal': numpy.float32, 'IEEE8ByteReal': numpy.float64}
 
 
@@ -11,9 +12,9 @@
     write_ermapper_grid(ofile, data, header = {}):
     
-    Function to write a 2D Numeric array to an ERMapper grid.  There are a series of conventions adopted within
+    Function to write a 2D NumPy array to an ERMapper grid.  There are a series of conventions adopted within
     this code, specifically:
     1)  The registration coordinate for the data is the SW (or lower-left) corner of the data
     2)  The registration coordinates refer to cell centres
-    3)  The data is a 2D Numeric array with the NW-most data in element (0,0) and the SE-most data in element (N,M)
+    3)  The data is a 2D NumPy array with the NW-most data in element (0,0) and the SE-most data in element (N,M)
         where N is the last line and M is the last column
     4)  There has been no testng of the use of a rotated grid.  Best to keep data in an NS orientation
@@ -22,5 +23,5 @@
     ofile:      string - filename for output (note the output will consist of two files
                 ofile and ofile.ers.  Either of these can be entered into this function
-    data:       Numeric.array - 2D array containing the data to be output to the grid
+    data:       NumPy.array - 2D array containing the data to be output to the grid
     header:     dictionary - contains spatial information about the grid, in particular:
                     header['datum'] datum for the data ('"GDA94"')
@@ -57,5 +58,5 @@
 
     # Check that the data is a 2 dimensional array
-    data_size = Numeric.shape(data)
+    data_size = numpy.shape(data)
     assert len(data_size) == 2
     
@@ -83,5 +84,5 @@
     nrofcellsperlines = int(header['nrofcellsperline'])
     data = read_ermapper_data(data_file)
-    data = Numeric.reshape(data,(nroflines,nrofcellsperlines))
+    data = numpy.reshape(data,(nroflines,nrofcellsperlines))
     return data
     
@@ -163,5 +164,5 @@
     return header                      
 
-def write_ermapper_data(grid, ofile, data_format = Numeric.Float32):
+def write_ermapper_data(grid, ofile, data_format = numpy.float32):
 
 
@@ -181,5 +182,5 @@
         
     
-    # Convert the array to data_format (default format is Float32)
+    # Convert the array to data_format (default format is float32)
     grid_as_float = grid.astype(data_format)
 
@@ -193,5 +194,5 @@
 
 
-def read_ermapper_data(ifile, data_format = Numeric.Float32):
+def read_ermapper_data(ifile, data_format = numpy.float32):
     # open input file in a binary format and read the input string
     fid = open(ifile,'rb')
@@ -199,6 +200,6 @@
     fid.close()
 
-    # convert input string to required format (Note default format is Numeric.Float32)
-    grid_as_float = Numeric.fromstring(input_string,data_format)
+    # convert input string to required format (Note default format is numpy.float32)
+    grid_as_float = numpy.fromstring(input_string,data_format)
     return grid_as_float
 
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/general_mesh.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/general_mesh.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/general_mesh.py	(revision 5892)
@@ -1,5 +1,3 @@
-
-from Numeric import concatenate, reshape, take, allclose
-from Numeric import array, zeros, Int, Float, sqrt, sum, arange
+import numpy
 
 from anuga.coordinate_transforms.geo_reference import Geo_reference
@@ -90,6 +88,8 @@
         if verbose: print 'General_mesh: Building basic mesh structure in ANUGA domain' 
 
-        self.triangles = array(triangles, Int)
-        self.nodes = array(nodes, Float)
+##        self.triangles = array(triangles, Int)
+##        self.nodes = array(nodes, Float)
+        self.triangles = numpy.array(triangles, numpy.int)
+        self.nodes = numpy.array(nodes, numpy.float)
 
 
@@ -138,5 +138,5 @@
 
         msg = 'Vertex indices reference non-existing coordinate sets'
-        assert max(self.triangles.flat) < self.nodes.shape[0], msg
+        assert max(self.triangles.ravel()) < self.nodes.shape[0], msg
 
 
@@ -146,11 +146,15 @@
                       max(self.nodes[:,0]), max(self.nodes[:,1]) ]
 
-        self.xy_extent = array(xy_extent, Float)
+##        self.xy_extent = array(xy_extent, Float)
+        self.xy_extent = numpy.array(xy_extent, numpy.float)
 
 
         # Allocate space for geometric quantities
-        self.normals = zeros((N, 6), Float)
-        self.areas = zeros(N, Float)
-        self.edgelengths = zeros((N, 3), Float)
+##        self.normals = zeros((N, 6), Float)
+##        self.areas = zeros(N, Float)
+##        self.edgelengths = zeros((N, 3), Float)
+        self.normals = numpy.zeros((N, 6), numpy.float)
+        self.areas = numpy.zeros(N, numpy.float)
+        self.edgelengths = numpy.zeros((N, 3), numpy.float)
 
         # Get x,y coordinates for all triangles and store
@@ -187,12 +191,12 @@
             #   - Stored as six floats n0x,n0y,n1x,n1y,n2x,n2y per triangle
 
-            n0 = array([x2 - x1, y2 - y1])
-            l0 = sqrt(sum(n0**2))
-
-            n1 = array([x0 - x2, y0 - y2])
-            l1 = sqrt(sum(n1**2))
-
-            n2 = array([x1 - x0, y1 - y0])
-            l2 = sqrt(sum(n2**2))
+            n0 = numpy.array([x2 - x1, y2 - y1])
+            l0 = numpy.sqrt(numpy.sum(n0**2))
+
+            n1 = numpy.array([x0 - x2, y0 - y2])
+            l1 = numpy.sqrt(numpy.sum(n1**2))
+
+            n2 = numpy.array([x1 - x0, y1 - y0])
+            l2 = numpy.sqrt(numpy.sum(n2**2))
 
             # Normalise
@@ -274,6 +278,6 @@
         if absolute is True:
             if not self.geo_reference.is_absolute():
-                return V + array([self.geo_reference.get_xllcorner(),
-                                  self.geo_reference.get_yllcorner()])
+                return V + numpy.array([self.geo_reference.get_xllcorner(),
+                                        self.geo_reference.get_yllcorner()])
             else:
                 return V
@@ -311,4 +315,5 @@
             i = triangle_id
             msg = 'triangle_id must be an integer'
+            print 'type(triangle_id)=%s. triangle_id=%s' % (type(triangle_id), str(triangle_id))
             assert int(i) == i, msg
             assert 0 <= i < self.number_of_triangles
@@ -316,11 +321,11 @@
             i3 = 3*i  
             if absolute is True and not self.geo_reference.is_absolute():
-                offset=array([self.geo_reference.get_xllcorner(),
-                                  self.geo_reference.get_yllcorner()])
-                return array([V[i3,:]+offset,
-                              V[i3+1,:]+offset,
-                              V[i3+2,:]+offset])
+                offset = numpy.array([self.geo_reference.get_xllcorner(),
+                                      self.geo_reference.get_yllcorner()])
+                return numpy.array([V[i3,:]+offset,
+                                    V[i3+1,:]+offset,
+                                    V[i3+2,:]+offset])
             else:
-                return array([V[i3,:], V[i3+1,:], V[i3+2,:]])
+                return numpy.array([V[i3,:], V[i3+1,:], V[i3+2,:]])
                 
 
@@ -349,5 +354,6 @@
 
         M = self.number_of_triangles
-        vertex_coordinates = zeros((3*M, 2), Float)
+##        vertex_coordinates = zeros((3*M, 2), Float)
+        vertex_coordinates = numpy.zeros((3*M, 2), numpy.float)
 
         for i in range(M):
@@ -376,5 +382,5 @@
             indices = range(M)
 
-        return take(self.triangles, indices)
+        return numpy.take(self.triangles, indices, axis=0)
     
 
@@ -409,5 +415,6 @@
         
         #T = reshape(array(range(K)).astype(Int), (M,3))
-        T = reshape(arange(K).astype(Int), (M,3))  # Faster
+##        T = reshape(arange(K).astype(Int), (M,3))  # Faster
+        T = numpy.reshape(numpy.arange(K).astype(numpy.int), (M,3))  # Faster
         
         return T     
@@ -439,8 +446,8 @@
         if node is not None:
             # Get index for this node
-            first = sum(self.number_of_triangles_per_node[:node])
+            first = numpy.sum(self.number_of_triangles_per_node[:node])
             
             # Get number of triangles for this node
-            count = self.number_of_triangles_per_node[node]
+            count = int(self.number_of_triangles_per_node[node])
 
             for i in range(count):
@@ -452,5 +459,5 @@
                 triangle_list.append( (volume_id, vertex_id) )
 
-            triangle_list = array(triangle_list)    
+            triangle_list = numpy.array(triangle_list)    
         else:
             # Get info for all nodes recursively.
@@ -529,5 +536,5 @@
 
         # Count number of triangles per node
-        number_of_triangles_per_node = zeros(self.number_of_full_nodes)
+        number_of_triangles_per_node = numpy.zeros(self.number_of_full_nodes)
         for volume_id, triangle in enumerate(self.get_triangles()):
             for vertex_id in triangle:
@@ -535,6 +542,6 @@
 
         # Allocate space for inverted structure
-        number_of_entries = sum(number_of_triangles_per_node)
-        vertex_value_indices = zeros(number_of_entries)
+        number_of_entries = numpy.sum(number_of_triangles_per_node)
+        vertex_value_indices = numpy.zeros(number_of_entries)
 
         # Register (triangle, vertex) indices for each node
@@ -582,8 +589,8 @@
         Y = C[:,1:6:2].copy()
 
-        xmin = min(X.flat)
-        xmax = max(X.flat)
-        ymin = min(Y.flat)
-        ymax = max(Y.flat)
+        xmin = min(X.ravel())
+        xmax = max(X.ravel())
+        ymin = min(Y.ravel())
+        ymax = max(Y.ravel())
         #print "C",C
         return xmin, xmax, ymin, ymax
@@ -598,6 +605,3 @@
         """
 
-        return sum(self.areas)
-
-        
-        
+        return numpy.sum(self.areas)
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/generic_boundary_conditions.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/generic_boundary_conditions.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/generic_boundary_conditions.py	(revision 5892)
@@ -7,4 +7,6 @@
 from anuga.fit_interpolate.interpolate import Modeltime_too_late
 from anuga.fit_interpolate.interpolate import Modeltime_too_early
+
+import numpy
 
 
@@ -67,6 +69,5 @@
             raise Exception, msg
 
-        from Numeric import array, Float
-        self.conserved_quantities=array(conserved_quantities).astype(Float)
+        self.conserved_quantities=numpy.array(conserved_quantities).astype(numpy.float)
 
     def __repr__(self):
@@ -96,8 +97,6 @@
             raise msg
 
-
-        from Numeric import array, Float
         try:
-            q = array(q).astype(Float)
+            q = numpy.array(q).astype(numpy.float)
         except:
             msg = 'Return value from time boundary function could '
@@ -136,5 +135,4 @@
     def __init__(self, filename, domain):
         import time
-        from Numeric import array
         from anuga.config import time_format
         from anuga.abstract_2d_finite_volumes.util import File_function
@@ -206,5 +204,4 @@
 
         import time
-        from Numeric import array, zeros, Float
         from anuga.config import time_format
         from anuga.abstract_2d_finite_volumes.util import file_function
@@ -222,5 +219,5 @@
 
         if verbose: print 'Find midpoint coordinates of entire boundary'
-        self.midpoint_coordinates = zeros( (len(domain.boundary), 2), Float)
+        self.midpoint_coordinates = numpy.zeros( (len(domain.boundary), 2), numpy.float)
         boundary_keys = domain.boundary.keys()
 
@@ -242,7 +239,7 @@
             
             # Compute midpoints
-            if edge_id == 0: m = array([(x1 + x2)/2, (y1 + y2)/2])
-            if edge_id == 1: m = array([(x0 + x2)/2, (y0 + y2)/2])
-            if edge_id == 2: m = array([(x1 + x0)/2, (y1 + y0)/2])
+            if edge_id == 0: m = numpy.array([(x1 + x2)/2, (y1 + y2)/2])
+            if edge_id == 1: m = numpy.array([(x0 + x2)/2, (y0 + y2)/2])
+            if edge_id == 2: m = numpy.array([(x1 + x0)/2, (y1 + y0)/2])
 
             # Convert to absolute UTM coordinates
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/mesh_factory.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/mesh_factory.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/mesh_factory.py	(revision 5892)
@@ -2,4 +2,6 @@
 mesh file formats
 """
+
+import numpy
 
 
@@ -73,5 +75,4 @@
 
     from anuga.config import epsilon
-    from Numeric import zeros, Float, Int
 
     delta1 = float(len1)/m
@@ -93,5 +94,5 @@
     index = Index(n,m)
 
-    points = zeros( (Np,2), Float)
+    points = numpy.zeros( (Np,2), numpy.float)
 
     for i in range(m+1):
@@ -105,5 +106,5 @@
 
 
-    elements = zeros( (Nt,3), Int)
+    elements = numpy.zeros( (Nt,3), numpy.int)
     boundary = {}
     nt = -1
@@ -149,5 +150,4 @@
 
     from anuga.config import epsilon
-    from Numeric import zeros, Float, Int
 
     delta1 = float(len1)/m
@@ -208,5 +208,4 @@
     """
 
-    from Numeric import array
     import math
 
@@ -510,5 +509,5 @@
     """
 
-    from Numeric import array
+#    from numpy.oldnumeric import array
     import math
 
@@ -592,5 +591,4 @@
     """
 
-    from Numeric import array
     import math
 
@@ -686,9 +684,6 @@
     """
 
-    from Numeric import array
     import math
-
     from anuga.config import epsilon
-
 
     deltax = lenx/float(m)
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/neighbour_mesh.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/neighbour_mesh.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/neighbour_mesh.py	(revision 5892)
@@ -11,6 +11,5 @@
 from anuga.caching import cache
 from math import pi, sqrt
-from Numeric import array, allclose
-        
+import numpy        
 
 class Mesh(General_mesh):
@@ -79,8 +78,4 @@
         """
 
-
-
-        from Numeric import array, zeros, Int, Float, maximum, sqrt, sum
-
         General_mesh.__init__(self, coordinates, triangles,
                               number_of_full_nodes=\
@@ -98,12 +93,12 @@
 
         #Allocate space for geometric quantities
-        self.centroid_coordinates = zeros((N, 2), Float)
-
-        self.radii = zeros(N, Float)
-
-        self.neighbours = zeros((N, 3), Int)
-        self.neighbour_edges = zeros((N, 3), Int)
-        self.number_of_boundaries = zeros(N, Int)
-        self.surrogate_neighbours = zeros((N, 3), Int)
+        self.centroid_coordinates = numpy.zeros((N, 2), numpy.float)
+
+        self.radii = numpy.zeros(N, numpy.float)
+
+        self.neighbours = numpy.zeros((N, 3), numpy.int)
+        self.neighbour_edges = numpy.zeros((N, 3), numpy.int)
+        self.number_of_boundaries = numpy.zeros(N, numpy.int)
+        self.surrogate_neighbours = numpy.zeros((N, 3), numpy.int)
 
         #Get x,y coordinates for all triangles and store
@@ -124,5 +119,5 @@
 
             #Compute centroid
-            centroid = array([(x0 + x1 + x2)/3, (y0 + y1 + y2)/3])
+            centroid = numpy.array([(x0 + x1 + x2)/3, (y0 + y1 + y2)/3])
             self.centroid_coordinates[i] = centroid
 
@@ -133,14 +128,14 @@
 
                 #Midpoints
-                m0 = array([(x1 + x2)/2, (y1 + y2)/2])
-                m1 = array([(x0 + x2)/2, (y0 + y2)/2])
-                m2 = array([(x1 + x0)/2, (y1 + y0)/2])
+                m0 = numpy.array([(x1 + x2)/2, (y1 + y2)/2])
+                m1 = numpy.array([(x0 + x2)/2, (y0 + y2)/2])
+                m2 = numpy.array([(x1 + x0)/2, (y1 + y0)/2])
 
                 #The radius is the distance from the centroid of
                 #a triangle to the midpoint of the side of the triangle
                 #closest to the centroid
-                d0 = sqrt(sum( (centroid-m0)**2 ))
-                d1 = sqrt(sum( (centroid-m1)**2 ))
-                d2 = sqrt(sum( (centroid-m2)**2 ))
+                d0 = numpy.sqrt(numpy.sum( (centroid-m0)**2 ))
+                d1 = numpy.sqrt(numpy.sum( (centroid-m1)**2 ))
+                d2 = numpy.sqrt(numpy.sum( (centroid-m2)**2 ))
 
                 self.radii[i] = min(d0, d1, d2)
@@ -150,7 +145,7 @@
                 #of inscribed circle is computed
 
-                a = sqrt((x0-x1)**2+(y0-y1)**2)
-                b = sqrt((x1-x2)**2+(y1-y2)**2)
-                c = sqrt((x2-x0)**2+(y2-y0)**2)
+                a = numpy.sqrt((x0-x1)**2+(y0-y1)**2)
+                b = numpy.sqrt((x1-x2)**2+(y1-y2)**2)
+                c = numpy.sqrt((x2-x0)**2+(y2-y0)**2)
 
                 self.radii[i]=2.0*self.areas[i]/(a+b+c)
@@ -388,5 +383,4 @@
             self.element_tag is defined
         """
-        from Numeric import array, Int
 
         if tagged_elements is None:
@@ -395,5 +389,5 @@
             #Check that all keys in given boundary exist
             for tag in tagged_elements.keys():
-                tagged_elements[tag] = array(tagged_elements[tag]).astype(Int)
+                tagged_elements[tag] = numpy.array(tagged_elements[tag]).astype(numpy.int)
 
                 msg = 'Not all elements exist. '
@@ -463,5 +457,4 @@
         """
         
-        from Numeric import allclose, sqrt, array, minimum, maximum
         from anuga.utilities.numerical_tools import angle, ensure_numeric     
 
@@ -477,5 +470,5 @@
         inverse_segments = {}
         p0 = None
-        mindist = sqrt(sum((pmax-pmin)**2)) # Start value across entire mesh
+        mindist = numpy.sqrt(numpy.sum((pmax-pmin)**2)) # Start value across entire mesh
         for i, edge_id in self.boundary.keys():
             # Find vertex ids for boundary segment
@@ -487,10 +480,9 @@
             B = self.get_vertex_coordinate(i, b, absolute=True) # End
 
-
             # Take the point closest to pmin as starting point
             # Note: Could be arbitrary, but nice to have
             # a unique way of selecting
-            dist_A = sqrt(sum((A-pmin)**2))
-            dist_B = sqrt(sum((B-pmin)**2))
+            dist_A = numpy.sqrt(numpy.sum((A-pmin)**2))
+            dist_B = numpy.sqrt(numpy.sum((B-pmin)**2))
 
             # Find lower leftmost point
@@ -593,5 +585,5 @@
                 # We have reached a point already visited. 
 		
-		if allclose(p1, polygon[0]):
+		if numpy.allclose(p1, polygon[0]):
 		    # If it is the initial point, the polygon is complete. 
 		    
@@ -629,6 +621,4 @@
         from anuga.utilities.numerical_tools import anglediff
 
-        from Numeric import sort, allclose
-
         N = len(self)
 
@@ -672,9 +662,9 @@
 
                 # Normalise
-                l_u = sqrt(u[0]*u[0] + u[1]*u[1])
-                l_v = sqrt(v[0]*v[0] + v[1]*v[1])
+                l_u = numpy.sqrt(u[0]*u[0] + u[1]*u[1])
+                l_v = numpy.sqrt(v[0]*v[0] + v[1]*v[1])
 
                 msg = 'Normal vector in triangle %d does not have unit length' %i
-                assert allclose(l_v, 1), msg
+                assert numpy.allclose(l_v, 1), msg
 
                 x = (u[0]*v[0] + u[1]*v[1])/l_u # Inner product
@@ -730,6 +720,6 @@
 
         V = self.vertex_value_indices[:] #Take a copy
-        V = sort(V)
-        assert allclose(V, range(3*N))
+        V = numpy.sort(V)
+        assert numpy.allclose(V, range(3*N))
 
         assert sum(self.number_of_triangles_per_node) ==\
@@ -742,5 +732,5 @@
                 count[i] += 1
 
-        assert allclose(count, self.number_of_triangles_per_node)
+        assert numpy.allclose(count, self.number_of_triangles_per_node)
 
 
@@ -805,5 +795,4 @@
         """
 
-        from Numeric import arange
         from anuga.utilities.numerical_tools import histogram, create_bins
 
@@ -1141,8 +1130,8 @@
 
             # Distances from line origin to the two intersections
-            z0 = array([x0 - xi0, y0 - eta0])
-            z1 = array([x1 - xi0, y1 - eta0])              
-            d0 = sqrt(sum(z0**2)) 
-            d1 = sqrt(sum(z1**2))
+            z0 = numpy.array([x0 - xi0, y0 - eta0])
+            z1 = numpy.array([x1 - xi0, y1 - eta0])              
+            d0 = numpy.sqrt(numpy.sum(z0**2)) 
+            d1 = numpy.sqrt(numpy.sum(z1**2))
                
             if d1 < d0:
@@ -1157,7 +1146,7 @@
             # Normal direction:
             # Right hand side relative to line direction
-            vector = array([x1 - x0, y1 - y0]) # Segment vector
-            length = sqrt(sum(vector**2))      # Segment length
-            normal = array([vector[1], -vector[0]])/length
+            vector = numpy.array([x1 - x0, y1 - y0]) # Segment vector
+            length = numpy.sqrt(numpy.sum(vector**2))      # Segment length
+            normal = numpy.array([vector[1], -vector[0]])/length
 
 
@@ -1239,5 +1228,5 @@
         assert isinstance(segment, Triangle_intersection), msg
         
-        midpoint = sum(array(segment.segment))/2
+        midpoint = numpy.sum(numpy.array(segment.segment))/2
         midpoints.append(midpoint)
 
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/pmesh2domain.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/pmesh2domain.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/pmesh2domain.py	(revision 5892)
@@ -9,4 +9,5 @@
 import sys
 
+import numpy
 
 
@@ -161,5 +162,4 @@
     """
 
-    from Numeric import transpose
     from load_mesh.loadASCII import import_mesh_file
 
@@ -172,9 +172,10 @@
     volumes = mesh_dict['triangles']
     vertex_quantity_dict = {}
-    point_atts = transpose(mesh_dict['vertex_attributes'])
+    point_atts = numpy.transpose(mesh_dict['vertex_attributes'])
     point_titles  = mesh_dict['vertex_attribute_titles']
     geo_reference  = mesh_dict['geo_reference']
     if point_atts != None:
-        for quantity, value_vector in map (None, point_titles, point_atts):
+        print 'type(point_atts)=%s' % type(point_atts)
+        for quantity, value_vector in map(None, point_titles, point_atts):
             vertex_quantity_dict[quantity] = value_vector
     tag_dict = pmesh_dict_to_tag_dict(mesh_dict)
